# class JGStreamHost | A Jingle file transfer stream host. More...
Full name | `TelEngine::JGStreamHost`
Definition | `#include <libs/yjabber/yatejingle.h>`
Inherits | TelEngine::String [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- JGStreamHost (bool local, const char* jid, const char* addr, int port, const char* zeroConf = 0)
- inline JGStreamHost (const JGStreamHost& src)
- XmlElement* toXml ()

#### Public Static Methods

- static JGStreamHost* fromXml (XmlElement* xml)
- static XmlElement* buildHosts (const ObjList& hosts, const char* sid, const char* mode = "tcp")
- static XmlElement* buildRsp (const char* jid)

#### Public Members

- bool m_local
- String m_address
- int m_port
- String m_zeroConf

## Detailed Description

This class holds a file transfer stream host definition

JGStreamHost (bool local, const char* jid, const char* addr, int port, const char* zeroConf = 0) | ### JGStreamHost

Constructor

Parameters:

local | Local stream host
jid | Stream host jid (id)
addr | Stream host address
port | Stream host port
zeroConf | Optional zero conf definition (override address/port)

inline JGStreamHost (const JGStreamHost& src) | ### JGStreamHost

Copy constructor

Parameters:

src | Source stream host to copy from

XmlElement* toXml () | ### toXml

Build an XML element from this stream host

Returns: Valid XmlElement pointer

JGStreamHost* fromXml (XmlElement* xml) | ### fromXml

[static]

Build a stream host from an XML element

Parameters:

xml | The element to build from

Returns: Valid JGStreamHost pointer or 0 on error

XmlElement* buildHosts (const ObjList& hosts, const char* sid, const char* mode = "tcp") | ### buildHosts

[static]

Build a query XML element carrying a list of stream hosts

Parameters:

hosts | List of JGStreamHost objects
sid | The query element's sid attribute
mode | The query element's mode attribute

Returns: Valid XmlElement pointer

XmlElement* buildRsp (const char* jid) | ### buildRsp

[static]

Build a query XML element with a streamhost-used child

Parameters:

jid | The jid of the stream host used

Returns: Valid XmlElement pointer

bool m_local | ### m_local

String m_address | ### m_address

int m_port | ### m_port

String m_zeroConf | ### m_zeroConf

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.